<?php

namespace FM\Controller;

use FM\Service\Fm00028003RelatorioTarefasAtrasadasService;
use FM\Traits\TResponse;

class Fm00028003RelatorioTarefasAtrasadasController
{

    use TResponse;

    protected $TarefasAtrasadasService;

    public function __construct(Fm00028003RelatorioTarefasAtrasadasService $TarefasAtrasadasService)
    {
        $this->TarefasAtrasadasService = $TarefasAtrasadasService;
    }

    public function getTarefasEmAtraso()
    {
        try {
            //  quando for passar parametro colocar na função abaixo
            $data = $this->TarefasAtrasadasService->getTarefasEmAtraso();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getVistoriasEmAtraso()
    {
        try {
            //  quando for passar parametro colocar na função abaixo
            $data = $this->TarefasAtrasadasService->getVistoriasEmAtraso();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
